Bug 600216 - Review Request: maven-project-info-reports-plugin - Maven Project Info Reports Plugin
Review Request: maven-project-info-reports-plugin - Maven Project Info Report...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 03:26 EDT by huwang
Modified: 2010-06-07 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 21:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Alexander Kurtakov 2010-06-04 10:47:07 EDT
I'll take this one
Comment 2 Alexander Kurtakov 2010-06-04 11:03:10 EDT
Review:

OK: rpmlint must be run on every package. Output:
maven-project-info-reports-plugin.noarch: W: no-documentation
maven-project-info-reports-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-project-info-reports-plugin

False positives. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8.    
OK: Provides/Obsoletes are good.

FIXIT: The package should at least Requires: maven2 maybe there are even others
missing.
Comment 3 huwang 2010-06-06 23:00:48 EDT
(In reply to comment #2)
> Review:
> 
> OK: rpmlint must be run on every package. Output:
> maven-project-info-reports-plugin.noarch: W: no-documentation
> maven-project-info-reports-plugin.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/maven-project-info-reports-plugin
> 
> False positives. 
> 
> OK: The package must be named according to the Package Naming Guidelines .
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption. 
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> OK: The License field in the package spec file must match the actual license.
> OK: If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.
> OK: The spec file must be written in American English. 
> OK: The spec file for the package MUST be legible. 
> OK: The sources used to build the package must match the upstream source, as
> provided in the spec URL. 
> OK: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture. 
> OK: All build dependencies must be listed in BuildRequires, except for any that
> are listed in the exceptions section of the Packaging Guidelines ; inclusion of
> those as BuildRequires is optional. Apply common sense.
> OK: Packages must NOT bundle copies of system libraries.
> OK: A package must own all directories that it creates. If it does not create a
> directory that it uses, then it should require a package which does create that
> directory. 
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings. 
> OK: Permissions on files must be set properly. Executables should be set
> with executable permissions, for example. Every %files section must include a
> %defattr(...) line. 
> OK: Each package must consistently use macros. 
> OK: The package must contain code, or permissable content. 
> OK: Large documentation files must go in a -doc subpackage. 
> OK: If a package includes something as %doc, it must not affect the runtime of
> the application. 
> OK: Packages must not own files or directories already owned by other packages. 
> OK: All filenames in rpm packages must be valid UTF-8.    
> OK: Provides/Obsoletes are good.
> 
> FIXIT: The package should at least Requires: maven2 maybe there are even others
> missing.    

Fixed. Please review again, thanks.
Spec URL: http://huwang.fedorapeople.org/packages/maven-project-info-reports-plugin/maven-project-info-reports-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven-project-info-reports-plugin/maven-project-info-reports-plugin-2.2-2.src.rpm
Scratch built in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2234531
Comment 4 Alexander Kurtakov 2010-06-07 01:36:02 EDT
Looks good,

This package is APPROVED.
Comment 5 huwang 2010-06-07 01:57:50 EDT
New Package CVS Request
=======================
Package Name: maven-project-info-reports-plugin
Short Description: Maven Project Info Reports Plugin
Owners: huwang
Branches: 
InitialCC:
Comment 6 Kevin Fenzi 2010-06-07 17:12:59 EDT
CVS done (by process-cvs-requests.py).
Comment 7 huwang 2010-06-07 21:20:47 EDT
Built in koji: http://koji.fedoraproject.org/koji/buildinfo?buildID=177204

Note You need to log in before you can comment on or make changes to this bug.